# MatValid

Checks whether a matrix object is valid.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatValid(Mat m,PetscTruth *flg)

Collective on Mat

### Input Parameter

m -the matrix to check

### Output Parameter

flg - flag indicating matrix status, either PETSC_TRUE if matrix is valid, or PETSC_FALSE otherwise.

Level:developer
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages